/*************** Fisher and Torqvist ***********************/

proc sort data= Lp&refyear&i&sect; by &i &sect t; run;
proc sort data= Lpc&refyear&i&sect; by &i &sect t; run;
proc sort data= Pp&refyear&i&sect; by &i &sect  t; run;
proc sort data= Ppc&refyear&i&sect; by &i &sect t; run;

/*pr.Lp&pr.Pp ncssaires pour les indices de Fisher&Tornqvist*/
/*pr.Lpc pr.Ppc ncssaires pour les indices chans de F et Tq*/
data pr.idx&refyear&baseyear&i&sect&label;
	merge  Lp&refyear&i&sect  Lpc&refyear&i&sect  Pp&refyear&i&sect  Ppc&refyear&i&sect;
	by &i &sect t;
	F=sqrt(Lp*Pp);
	Fc=sqrt(Lpc*Ppc);
	Tq=sqrt(GLp*GPp);
	Tqc=sqrt(GLpc*GPpc);
run;
/*data pr.recovery_rate_&refyear&i&sect; 
	merge pr.recovery_rate rate_Lp rate_Lpc rate_Pp rate_Ppc; 
	by &i &sect t;
	rateLp=sumLp/vstart;
	rateLpc=sumLpc/vstart;
	ratePp=sumPp/vstart;
	ratePpc=sumPpc/vstart;
run; */
